Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Class InvalidRequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.registry.JAXRException
                  javax.xml.registry.InvalidRequestException

All Implemented Interfaces:
  JAXRResponse, Serializable

public class InvalidRequestException
extends JAXRException

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.xml.registry.JAXRException
`cause`

Fields inherited from interface javax.xml.registry.JAXRResponse
`STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

Constructor Summary
`InvalidRequestException()`
`InvalidRequestException(String reason)`
`InvalidRequestException(String reason, Throwable cause)`
`InvalidRequestException(Throwable cause)`

Methods inherited from class javax.xml.registry.JAXRException
`getRequestId, getStatus, initCause, isAvailable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRequestException

    public InvalidRequestException()

### InvalidRequestException

    public InvalidRequestException(String reason)

### InvalidRequestException

    public InvalidRequestException(String reason,
                                   Throwable cause)

### InvalidRequestException

    public InvalidRequestException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.